Package org.gitana.platform.client.exception

# Class RemoteServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gitana.platform.client.exception.RemoteServerException

All Implemented Interfaces:
  `Serializable`

public class RemoteServerException extends RuntimeException

Author:
  uzi
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteServerException(Response response)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRemoteMessage()`
`String`
`getRemoteStackTrace()`
`Response`
`getResponse()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteServerException

public RemoteServerException(Response response)

## Method Details

### getResponse

public Response getResponse()

### getRemoteMessage

public String getRemoteMessage()

### getRemoteStackTrace

public String getRemoteStackTrace()